## ry-istanbul-web - istanbul transformed js
## ry-istanbul-web - istanbul改后的js

### istanbul documentation can be found here
https://istanbul.js.org/
### Istanbul 文档可参考
http://www.npmdoc.org/istanbulzhongwenwendangzhongwenshili.html
### Getting started

    $ npm i ry-istanbul-web

### 安装命令

    $ npm i ry-istanbul-web
* npm address：https://www.npmjs.com/package/ry-istanbul-web
* npm 地址：https://www.npmjs.com/package/ry-istanbul-web
* Gitlab address：https://git.minrow.com/ry/istanbul-web
* Gitlab地址：https://git.minrow.com/ry/istanbul-web
## Add parameter description
| parameter                | explain                                                         | type     | An optional value                                                       | default   |
| ------------------- | ------------------------------------------------------------ | -------- | ------------------------------------------------------------ | -------- |
|  changeLists | Displays an array of delta codes | Array | [] | null |
|  IS_HTML_CSS | Whether to display html and css structures | Boolean | true/false | false |

For the delta code to display the array, you need to add an array of changeLists to the window.__coverage__ object, such as [3,4] for the third, third and fourth lines of the delta code
vue transmits IS_HTML_CSS to control whether to display css and html code, while other frameworks can directly see html and css structures without transmission
### 增加参数说明
| 参数                | 说明                                                         | 类型     | 可选值                                                       | 默认值   |
| ------------------- | ------------------------------------------------------------ | -------- | ------------------------------------------------------------ | -------- |
|  changeLists | 显示增量代码数组 | Array | [] | null |
|  IS_HTML_CSS | 是否显示html、css结构 | Boolean | true/false | false |

增量代码显示数组，需向window.__coverage__对象中增加changeLists数组，如[3,4]为增量代码行数第三3和第4行
是否显示css和html代码，vue下传输IS_HTML_CSS进行控制，其他框架则无需传输可直接看到html、css结构

### other description
This plugin needs to be used with [babel-plugin-istanbul-ry](https://www.npmjs.com/package/babel-plugin-istanbul-ry) and [istanbul-middleware-ry](https://www.npmjs.com/package/istanbul-middleware-ry)
### 其他说明
本插件需配合[babel-plugin-istanbul-ry](https://www.npmjs.com/package/babel-plugin-istanbul-ry) 与[istanbul-middleware-ry](https://www.npmjs.com/package/istanbul-middleware-ry)一起使用

### babel-plugin-istanbul-ry
* NPM address：https://www.npmjs.com/package/babel-plugin-istanbul-ry
* GitLab address：https://git.minrow.com/ry/babel-plugin-ry-istanbul
* NPM地址：https://www.npmjs.com/package/babel-plugin-istanbul-ry
* GitLab地址：https://git.minrow.com/ry/babel-plugin-ry-istanbul

* [babel-plugin-istanbul-ry](https://www.npmjs.com/package/babel-plugin-istanbul-ry) bable instrumentation plugin is modified from [babel-plugin-istanbul](https://www.npmjs.com/package/babel-plugin-istanbul) to add incremental code instrumentation methods.

* [babel-plugin-istanbul-ry](https://www.npmjs.com/package/babel-plugin-istanbul-ry) bable插桩插件由[babel-plugin-istanbul](https://www.npmjs.com/package/babel-plugin-istanbul)改造而来，增加增量代码插桩方法。

* [istanbul-middleware-ry](https://www.npmjs.com/package/istanbul-middleware-ry)
### istanbul-middleware-ry
* NPM address：https://www.npmjs.com/package/istanbul-middleware-ry
* GitLab address：https://git.minrow.com/ry/istanbul-middleware-ry
* NPM地址：https://www.npmjs.com/package/istanbul-middleware-ry
* GitLab地址：https://git.minrow.com/ry/istanbul-middleware-ry
* The [istanbul-middleware-ry](https://www.npmjs.com/package/istanbul-middleware-ry) istanbul viewing service is transformed from [istanbul-middleware](https://www.npmjs.com/package/istanbul-middleware), and the start service is added. The istanbul code coverage can be collected and viewed through the global command `coverage -n` start service.
* [istanbul-middleware-ry](https://www.npmjs.com/package/istanbul-middleware-ry) istanbul查看服务由[istanbul-middleware](https://www.npmjs.com/package/istanbul-middleware)改造而来，增加启动服务，可通过全局命令`coverage -n`启动服务收集并查看istanbul代码覆盖率。

